<?php

namespace Dgcl\ProjectsBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Commune
 */
class Commune
{
    
    /**
     * @var integer
     */
    private $idCommune;

    /**
     * @var string
     */
    private $nomFr;

    /**
     * @var string
     */
    private $nomAr;

    /**
     * @var string
     */
    private $nomEn;

    /**
     * @var string
     */
    private $longitude;

    /**
     * @var string
     */
    private $latitude;

    /**
     * @var string
     */
    private $dateCreation;

    /**
     * @var string
     */
    private $logo;

    /**
     * @var float
     */
    private $superficie;

    /**
     * @var integer
     */
    private $nbrHabitant;

    /**
     * @var string
     */
    private $urlCommune;

    /**
     * @var string
     */
    private $emailCommune;

    /**
     * @var string
     */
    private $telCommune;

    /**
     * @var string
     */
    private $faxCommune;

    /**
     * @var \Dgcl\ProjectsBundle\Entity\Gouvernorat
     */
    private $Gouvernorat;

    
    public function __toString() {
        return $this->nomFr ;
    }

    /**
     * Get idCommune
     *
     * @return integer 
     */
    public function getIdCommune()
    {
        return $this->idCommune;
    }

    /**
     * Set nomFr
     *
     * @param string $nomFr
     * @return Commune
     */
    public function setNomFr($nomFr)
    {
        $this->nomFr = $nomFr;
    
        return $this;
    }

    /**
     * Get nomFr
     *
     * @return string 
     */
    public function getNomFr()
    {
        return $this->nomFr;
    }

    /**
     * Set nomAr
     *
     * @param string $nomAr
     * @return Commune
     */
    public function setNomAr($nomAr)
    {
        $this->nomAr = $nomAr;
    
        return $this;
    }

    /**
     * Get nomAr
     *
     * @return string 
     */
    public function getNomAr()
    {
        return $this->nomAr;
    }

    /**
     * Set nomEn
     *
     * @param string $nomEn
     * @return Commune
     */
    public function setNomEn($nomEn)
    {
        $this->nomEn = $nomEn;
    
        return $this;
    }

    /**
     * Get nomEn
     *
     * @return string 
     */
    public function getNomEn()
    {
        return $this->nomEn;
    }

    /**
     * Set longitude
     *
     * @param string $longitude
     * @return Commune
     */
    public function setLongitude($longitude)
    {
        $this->longitude = $longitude;
    
        return $this;
    }

    /**
     * Get longitude
     *
     * @return string 
     */
    public function getLongitude()
    {
        return $this->longitude;
    }

    /**
     * Set latitude
     *
     * @param string $latitude
     * @return Commune
     */
    public function setLatitude($latitude)
    {
        $this->latitude = $latitude;
    
        return $this;
    }

    /**
     * Get latitude
     *
     * @return string 
     */
    public function getLatitude()
    {
        return $this->latitude;
    }

    /**
     * Set dateCreation
     *
     * @param string $dateCreation
     * @return Commune
     */
    public function setDateCreation($dateCreation)
    {
        $this->dateCreation = $dateCreation;
    
        return $this;
    }

    /**
     * Get dateCreation
     *
     * @return string 
     */
    public function getDateCreation()
    {
        return $this->dateCreation;
    }

    /**
     * Set logo
     *
     * @param string $logo
     * @return Commune
     */
    public function setLogo($logo)
    {
        $this->logo = $logo;
    
        return $this;
    }

    /**
     * Get logo
     *
     * @return string 
     */
    public function getLogo()
    {
        return $this->logo;
    }

    /**
     * Set superficie
     *
     * @param float $superficie
     * @return Commune
     */
    public function setSuperficie($superficie)
    {
        $this->superficie = $superficie;
    
        return $this;
    }

    /**
     * Get superficie
     *
     * @return float 
     */
    public function getSuperficie()
    {
        return $this->superficie;
    }

    /**
     * Set nbrHabitant
     *
     * @param integer $nbrHabitant
     * @return Commune
     */
    public function setNbrHabitant($nbrHabitant)
    {
        $this->nbrHabitant = $nbrHabitant;
    
        return $this;
    }

    /**
     * Get nbrHabitant
     *
     * @return integer 
     */
    public function getNbrHabitant()
    {
        return $this->nbrHabitant;
    }

    /**
     * Set urlCommune
     *
     * @param string $urlCommune
     * @return Commune
     */
    public function setUrlCommune($urlCommune)
    {
        $this->urlCommune = $urlCommune;
    
        return $this;
    }

    /**
     * Get urlCommune
     *
     * @return string 
     */
    public function getUrlCommune()
    {
        return $this->urlCommune;
    }

    /**
     * Set emailCommune
     *
     * @param string $emailCommune
     * @return Commune
     */
    public function setEmailCommune($emailCommune)
    {
        $this->emailCommune = $emailCommune;
    
        return $this;
    }

    /**
     * Get emailCommune
     *
     * @return string 
     */
    public function getEmailCommune()
    {
        return $this->emailCommune;
    }

    /**
     * Set telCommune
     *
     * @param string $telCommune
     * @return Commune
     */
    public function setTelCommune($telCommune)
    {
        $this->telCommune = $telCommune;
    
        return $this;
    }

    /**
     * Get telCommune
     *
     * @return string 
     */
    public function getTelCommune()
    {
        return $this->telCommune;
    }

    /**
     * Set faxCommune
     *
     * @param string $faxCommune
     * @return Commune
     */
    public function setFaxCommune($faxCommune)
    {
        $this->faxCommune = $faxCommune;
    
        return $this;
    }

    /**
     * Get faxCommune
     *
     * @return string 
     */
    public function getFaxCommune()
    {
        return $this->faxCommune;
    }

    /**
     * Set Gouvernorat
     *
     * @param \Dgcl\ProjectsBundle\Entity\Gouvernorat $gouvernorat
     * @return Commune
     */
    public function setGouvernorat(\Dgcl\ProjectsBundle\Entity\Gouvernorat $gouvernorat = null)
    {
        $this->Gouvernorat = $gouvernorat;
    
        return $this;
    }

    /**
     * Get Gouvernorat
     *
     * @return \Dgcl\ProjectsBundle\Entity\Gouvernorat 
     */
    public function getGouvernorat()
    {
        return $this->Gouvernorat;
    }
}